OPatch Fails to Detect Platform or Operating System Appropriately (Doc ID 337288.1)

Last updated on MAY 20, 2016

Applies to:

Oracle Fusion Middleware - Version 10.1.2.0.0 and later
Information in this document applies to any platform.
- If a patch is failing to recognize a platform, best action is to open a Service Request and let Support confirm that patch is applicable to your environment
- If a patch is defective a Bug should be opened to Product ID 12753/OPATCH to correct it's actions


Symptoms

When installing a one-off patch to an Oracle Application Server 10g or Oracle Fusion Middleware 11g installation using the OPatch utility, there may be a warning like below except specific to your platform:


OPatch detects your platform as 453 while this patch xxxxxx supports platforms:

   23 (Solaris Operating System (SPARC 64-bit))

This patch is not suitable for this operating system.
Please contact support for the correct patch.
ERROR: OPatch failed during pre-reqs check.

 

or

OPatch detects your platform as 226 while this patch xxxxxx supports platforms:

   46 (Linux Intel)

This patch is not suitable for this operating system.
Please contact support for the correct patch.
ERROR: OPatch failed during pre-reqs check.

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms